All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::opencl::kernels::matrix_legacy< NumericT, LayoutT > Struct Template Reference

Main kernel class for generating OpenCL kernels for operations on/with dense matrix objects of type viennacl::matrix<>. More...

`#include <matrix.hpp>`

## Static Public Member Functions

static std::string | program_name ()
static void | init (viennacl::ocl::context &ctx)

## Detailed Description

### template<typename NumericT, typename LayoutT>
struct viennacl::linalg::opencl::kernels::matrix_legacy< NumericT, LayoutT >

Main kernel class for generating OpenCL kernels for operations on/with dense matrix objects of type viennacl::matrix<>.

Definition at line 1018 of file matrix.hpp.

## Member Function Documentation

template<typename NumericT , typename LayoutT >

static void viennacl::linalg::opencl::kernels::matrix_legacy< NumericT, LayoutT >::init | ( | viennacl::ocl::context & | ctx | ) |

inline static

Definition at line 1025 of file matrix.hpp.

template<typename NumericT , typename LayoutT >

static std::string viennacl::linalg::opencl::kernels::matrix_legacy< NumericT, LayoutT >::program_name | ( |  | ) |

inline static

Definition at line 1020 of file matrix.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/opencl/kernels/matrix.hpp